#include "appParameters.h"

void validateAppParameters(){
    if(APP_PARAMETERS.estadoRele != ESTADO_RELE_ABERTO && APP_PARAMETERS.estadoRele != ESTADO_RELE_FECHADO){
        APP_PARAMETERS.estadoRele = ESTADO_RELE_INDEFINIDO;
    }
    
    if(((char *)&APP_PARAMETERS.RELIGAR_LARGURA_PULSO_MS)[0] == 0xff && ((char *)&APP_PARAMETERS.RELIGAR_LARGURA_PULSO_MS)[1] == 0xff){
        APP_PARAMETERS.RELIGAR_LARGURA_PULSO_MS = DEFAULT_RELIGAR_LARGURA_PULSO_MS;
    }
    
    if(((char *)&APP_PARAMETERS.CORTAR_LARGURA_PULSO_MS)[0] == 0xff && ((char *)&APP_PARAMETERS.CORTAR_LARGURA_PULSO_MS)[1] == 0xff){
        APP_PARAMETERS.CORTAR_LARGURA_PULSO_MS = DEFAULT_CORTAR_LARGURA_PULSO_MS;
    }
    
    if(((char *)&APP_PARAMETERS.DELAY_SENSOR_MS)[0] == 0xff && ((char *)&APP_PARAMETERS.DELAY_SENSOR_MS)[1] == 0xff){
        APP_PARAMETERS.DELAY_SENSOR_MS = DEFAULT_DELAY_SENSOR_MS;
    }
    
    if(((char *)&APP_PARAMETERS.INTERVALO_SILENCIO_S)[0] == 0xff && ((char *)&APP_PARAMETERS.INTERVALO_SILENCIO_S)[1] == 0xff){
        APP_PARAMETERS.INTERVALO_SILENCIO_S = DEFAULT_INTERVALO_SILENCIO_S;
    }
    
    if(((char *)&APP_PARAMETERS.INTERVALO_WD_NETWORK_S)[0] == 0xff && ((char *)&APP_PARAMETERS.INTERVALO_WD_NETWORK_S)[1] == 0xff){
        APP_PARAMETERS.INTERVALO_WD_NETWORK_S = DEFAULT_INTERVALO_WD_NETWORK_S;
    }
    
    if(((char *)&APP_PARAMETERS.LIMITE_TENSAO_SENSOR_V)[0] == 0xff && ((char *)&APP_PARAMETERS.LIMITE_TENSAO_SENSOR_V)[1] == 0xff){
        APP_PARAMETERS.LIMITE_TENSAO_SENSOR_V = DEFAULT_LIMITE_TENSAO_SENSOR_V;
    }
    
    if(((char *)&APP_PARAMETERS.SAMPLES)[0] == 0xff && ((char *)&APP_PARAMETERS.SAMPLES)[1] == 0xff){
        APP_PARAMETERS.SAMPLES = DEFAULT_SAMPLES;
    }
    
    if(((char *)&APP_PARAMETERS.SAMPLES_DELAY_US)[0] == 0xff && ((char *)&APP_PARAMETERS.SAMPLES_DELAY_US)[1] == 0xff){
        APP_PARAMETERS.SAMPLES_DELAY_US = DEFAULT_SAMPLES_DELAY_US;
    }
    
    if(APP_PARAMETERS.SAMPLES_ANG_COEF.bytes[0] == 0xff && APP_PARAMETERS.SAMPLES_ANG_COEF.bytes[1] == 0xff && APP_PARAMETERS.SAMPLES_ANG_COEF.bytes[2] == 0xff && APP_PARAMETERS.SAMPLES_ANG_COEF.bytes[3] == 0xff){
        APP_PARAMETERS.SAMPLES_ANG_COEF.floatValue = DEFAULT_SAMPLES_ANG_COEF;
    }
    
    if(APP_PARAMETERS.SAMPLES_LIN_COEF.bytes[0] == 0xff && APP_PARAMETERS.SAMPLES_LIN_COEF.bytes[1] == 0xff && APP_PARAMETERS.SAMPLES_LIN_COEF.bytes[2] == 0xff && APP_PARAMETERS.SAMPLES_LIN_COEF.bytes[3] == 0xff){
        APP_PARAMETERS.SAMPLES_LIN_COEF.floatValue = DEFAULT_SAMPLES_LIN_COEF;
    }
    
    if(APP_PARAMETERS.LOAD_CHANNEL != 0 && APP_PARAMETERS.LOAD_CHANNEL != 1){
        APP_PARAMETERS.LOAD_CHANNEL = DEFAULT_LOAD_CHANNEL;
    }
    
    if(((char *)&APP_PARAMETERS.INTERVALO_MM_S)[0] == 0xff && ((char *)&APP_PARAMETERS.INTERVALO_MM_S)[1] == 0xff){
        APP_PARAMETERS.INTERVALO_MM_S = DEFAULT_INTERVALO_MM_S;
    }
    
    if(((char *)&APP_PARAMETERS.MM_SIZE)[0] == 0xff && ((char *)&APP_PARAMETERS.MM_SIZE)[1] == 0xff){
        APP_PARAMETERS.MM_SIZE = DEFAULT_MM_SIZE;
    }
    
}
