#include "appCommands.h"

#define SUCESSO             0
#define TAMANHO_INVALIDO    0xff
#define ERRO_GRAVACAO       0xfe

void cmdConfigurarParametros(char * dados, unsigned char tamanhoDados){
    
    if(tamanhoDados != sizeof(APP_PARAMETERS)){
        exec.enviaResposta(RESP_CONFIGURAR_PARAMETROS, (char)TAMANHO_INVALIDO);
        return;
    }
    
    memcpy((char *)&APP_PARAMETERS, dados, sizeof(APP_PARAMETERS));
    
    if(!param.saveParameters()){
        printf("[GGS] Erro gravando parametros\r\n");
        exec.enviaResposta(RESP_CONFIGURAR_PARAMETROS, (char)ERRO_GRAVACAO);
        return;
    }
    exec.enviaResposta(RESP_CONFIGURAR_PARAMETROS, SUCESSO);
    softReset();
}
