#ifndef MAIN_H
#define MAIN_H

#include "mbed.h"
#include "settings.h"
#include "version.h"
#include "FreescaleWatchdog.h"
#include "serialNumber.h"
#include "parameters.h"
#include "appParameters.h"
#include "v2hardware.h"
#include "ggs.h"
#include "sensor.h"
#include "memoriaMassa.h"

ParametersBlock APP_PARAMETERS;

void iniciaWd();
void feedWd();
void softReset();
void printSerialNumber();
void printParameters();
void detectaCargaSemCorte();

#endif
