#ifndef SETTINGS_H
#define SETTINGS_H

//#define TEST_MODE 1    // Usado para testar na placa de desenvolvimento

#define WATCHDOG_INTERVAL 0.1  // intervalo de alimentacao do watchdog, em segundos (float)
#define RELE_ON 1
#define RELE_OFF 0
#define ESTADO_RELE_INDEFINIDO  3   // Sem estado anterior
#define ESTADO_RELE_ABERTO      2   // Significa que ultimo comando foi de corte
#define ESTADO_RELE_FECHADO     1   // Significa que ultimo comando foi de religacao
#define SENSOR_COM_FORNECIMENTO true
#define SENSOR_SEM_FORNECIMENTO false
#define DEFAULT_RELIGAR_LARGURA_PULSO_MS 150
#define DEFAULT_CORTAR_LARGURA_PULSO_MS 150
#define DEFAULT_DELAY_SENSOR_MS 500
#define DEFAULT_INTERVALO_SILENCIO_S 2
#define DEFAULT_INTERVALO_WD_NETWORK_S 1800
#define DEFAULT_LIMITE_TENSAO_SENSOR_V 40
#define DEFAULT_SAMPLES 500
#define DEFAULT_SAMPLES_DELAY_US 2000
#define DEFAULT_SAMPLES_ANG_COEF 2937.9035f
#define DEFAULT_SAMPLES_LIN_COEF -1466.6749f
#define DEFAULT_LOAD_CHANNEL 0  // Canal onde esta ligada a carga
#define DEFAULT_INTERVALO_MM_S 60
#define DEFAULT_MM_SIZE 10

#endif
