#ifndef V2_HARDWARE_H
#define V2_HARDWARE_H

#include "mbed.h"
#include "settings.h"

#ifdef TEST_MODE
    DigitalOut reset_relay(PTC6);
    DigitalOut set_relay(PTC5);
    Serial ggsStream(USBTX, USBRX);
    AnalogIn voltage[] = {PTC2, PTD6};
#else
    DigitalOut reset_relay(PTC6);
    DigitalOut set_relay(PTC5);
    Serial ggsStream(PTC4, PTC3);
    AnalogIn voltage[] = {PTC2, PTD6};
#endif  // TEST_MODE

#endif  // V2_HARDWARE_H
