#include "appCommands.h"
#include "sensor.h"
#include "memoriaMassa.h"

#define MM_TENSAO_FALHA  1

extern MemoriaMassa mm;

void cmdMMTensao(unsigned char lineOrLoad){
    int channel;
    if(lineOrLoad == APP_PARAMETERS.LOAD_CHANNEL){
        channel = 0;
    } else{
        channel = 1;
    }

    char* resp = mm.getMM(channel);
    if(resp == NULL){
        exec.enviaResposta(RESP_MM_TENSAO, MM_TENSAO_FALHA);
    } else{
        exec.enviaResposta(RESP_MM_TENSAO, resp, 8*APP_PARAMETERS.MM_SIZE);
    }
    free(resp);
}
